# This is a configuration for running a local Dex instance for testing purposes
issuer: http://localhost:5556
storage:
  type: sqlite3
  config:
    file: /tmp/dex.db
web:
  http: 0.0.0.0:5556
staticClients:
- id: pinniped-authenticator
  redirectURIs:
  - 'http://localhost:8080/callback'
  name: 'Pinniped authenticator'
  secret: something-secret
enablePasswordDB: true
staticPasswords:
- email: "admin@example.com"
  hash: "$2a$10$2b2cU8CPhOTaGrs1HRQuAueS7JTT5ZHsHSzYiFPm1leZck7Mc8T4W" # password
  username: "admin"
